using System;
using BS.Shared;

namespace BeWo.Data.Entities
{
	public class Employee2SchedulerAppointment : BeWoEntityBase
	{
		public static string PropertyName_Employee = "Employee";
		public static string PropertyName_SchedulerAppointment = "SchedulerAppointmentOid";
		public static string PropertyName_ParticipationAnswer = "ParticipationAnswer";
		public static string PropertyName_IsPChanged = "IsPChanged";
		public static string PropertyName_IsPC_CheckedTs = "IsPC_CheckedTs";

		private ParticipationAnswer _ParticipationAnswer;
		private long? _SchedulerAppointmentOid;
		private Employee _Employee;
		private bool _IsPChanged;
		private DateTime? _IsPC_CheckedTs;

		public Employee2SchedulerAppointment()
		{
			_Tid = TableID.Employee2SchedulerAppointment;
		}

		public virtual ParticipationAnswer ParticipationAnswer
		{
			get { return _ParticipationAnswer; }
			set
			{
				if (AreDifferent(_ParticipationAnswer, value))
					_ParticipationAnswer = value;
			}
		}

		public virtual long? SchedulerAppointmentOid
		{
			get { return _SchedulerAppointmentOid; }
			set
			{
				if (AreDifferent(_SchedulerAppointmentOid, value))
					_SchedulerAppointmentOid = value;
			}
		}

		public virtual bool IsPChanged
		{
			get { return _IsPChanged; }
			set
			{
				if (AreDifferent(_IsPChanged, value))
					_IsPChanged = value;
			}
		}

		public virtual DateTime? IsPC_CheckedTs
		{
			get { return _IsPC_CheckedTs; }
			set
			{
				if (AreDifferent(_IsPC_CheckedTs, value))
					_IsPC_CheckedTs = value;
			}
		}

		public virtual Employee Employee
		{
			get
			{
				return _Employee;
			}

			set
			{
				if (AreDifferent(_Employee, value))
					_Employee = value;
			}
		}
	}
}
